--- old/usr/src/lib/libnsl/sparcv9/Makefile	2019-07-05 17:33:22.516384383 +0000
+++ new/usr/src/lib/libnsl/sparcv9/Makefile	2019-07-05 17:33:22.534494889 +0000
@@ -33,4 +33,4 @@
 
 sparcv9_C_PICFLAGS = $(sparcv9_C_BIGPICFLAGS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libnvpair/amd64/Makefile	2019-07-05 17:33:23.004465427 +0000
+++ new/usr/src/lib/libnvpair/amd64/Makefile	2019-07-05 17:33:23.023521668 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libnvpair/i386/Makefile	2019-07-05 17:33:23.505104260 +0000
+++ new/usr/src/lib/libnvpair/i386/Makefile	2019-07-05 17:33:23.523632819 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libnvpair/sparc/Makefile	2019-07-05 17:33:24.038523158 +0000
+++ new/usr/src/lib/libnvpair/sparc/Makefile	2019-07-05 17:33:24.061731863 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libnvpair/sparcv9/Makefile	2019-07-05 17:33:24.532421686 +0000
+++ new/usr/src/lib/libnvpair/sparcv9/Makefile	2019-07-05 17:33:24.550758788 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libpam/amd64/Makefile	2019-07-05 17:33:25.032223614 +0000
+++ new/usr/src/lib/libpam/amd64/Makefile	2019-07-05 17:33:25.051088491 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include		../Makefile.com
 include		../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libpam/i386/Makefile	2019-07-05 17:33:25.513185786 +0000
+++ new/usr/src/lib/libpam/i386/Makefile	2019-07-05 17:33:25.523172961 +0000
@@ -25,8 +25,8 @@
 #
 # usr/src/lib/libpam/i386/Makefile
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libpam/sparc/Makefile	2019-07-05 17:33:25.988655709 +0000
+++ new/usr/src/lib/libpam/sparc/Makefile	2019-07-05 17:33:26.008032774 +0000
@@ -25,8 +25,8 @@
 #
 # usr/src/lib/libpam/sparc/Makefile
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include		../Makefile.com
 
-install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libpam/sparcv9/Makefile	2019-07-05 17:33:26.498790769 +0000
+++ new/usr/src/lib/libpam/sparcv9/Makefile	2019-07-05 17:33:26.516637715 +0000
@@ -25,9 +25,9 @@
 #
 # lib/libpam/sparcv9/Makefile
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include		../Makefile.com
 include		../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libproc/amd64/Makefile	2019-07-05 17:33:27.003345440 +0000
+++ new/usr/src/lib/libproc/amd64/Makefile	2019-07-05 17:33:27.025797532 +0000
@@ -32,4 +32,4 @@
 CPPFLAGS += -D_SYSCALL32
 LDLIBS += -lsaveargs
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libproc/i386/Makefile	2019-07-05 17:33:27.507266664 +0000
+++ new/usr/src/lib/libproc/i386/Makefile	2019-07-05 17:33:27.524006398 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libproc/sparc/Makefile	2019-07-05 17:33:27.980394892 +0000
+++ new/usr/src/lib/libproc/sparc/Makefile	2019-07-05 17:33:27.998170111 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libproc/sparcv9/Makefile	2019-07-05 17:33:28.467137452 +0000
+++ new/usr/src/lib/libproc/sparcv9/Makefile	2019-07-05 17:33:28.485493765 +0000
@@ -31,4 +31,4 @@
 
 CPPFLAGS += -D_SYSCALL32
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libpthread/amd64/Makefile	2019-07-05 17:33:28.937543236 +0000
+++ new/usr/src/lib/libpthread/amd64/Makefile	2019-07-05 17:33:28.954039225 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libpthread/i386/Makefile	2019-07-05 17:33:29.396029469 +0000
+++ new/usr/src/lib/libpthread/i386/Makefile	2019-07-05 17:33:29.412110364 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libpthread/sparc/Makefile	2019-07-05 17:33:29.827334236 +0000
+++ new/usr/src/lib/libpthread/sparc/Makefile	2019-07-05 17:33:29.842904959 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libpthread/sparcv9/Makefile	2019-07-05 17:33:30.255880522 +0000
+++ new/usr/src/lib/libpthread/sparcv9/Makefile	2019-07-05 17:33:30.272019657 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/librcm/amd64/Makefile	2019-07-05 17:33:30.691395161 +0000
+++ new/usr/src/lib/librcm/amd64/Makefile	2019-07-05 17:33:30.708033998 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/librcm/i386/Makefile	2019-07-05 17:33:31.115696202 +0000
+++ new/usr/src/lib/librcm/i386/Makefile	2019-07-05 17:33:31.132342869 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/librcm/sparc/Makefile	2019-07-05 17:33:31.571094799 +0000
+++ new/usr/src/lib/librcm/sparc/Makefile	2019-07-05 17:33:31.589419625 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/librcm/sparcv9/Makefile	2019-07-05 17:33:32.079385495 +0000
+++ new/usr/src/lib/librcm/sparcv9/Makefile	2019-07-05 17:33:32.096664843 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libresolv/Makefile	2019-07-05 17:33:32.570005815 +0000
+++ new/usr/src/lib/libresolv/Makefile	2019-07-05 17:33:32.587722749 +0000
@@ -66,13 +66,15 @@
 
 ROOTDYNLIBS=	$(DYNLIB:%=$(ROOTLIBDIR)/%)
 
+COMPATLINKS=	/usr/lib/$(DYNLIB)
+
 .KEEP_STATE:
 
 LIBS = $(DYNLIB)
 
 all: $(LIBS)
 
-install: all $(ROOTDYNLIBS)
+install: all $(ROOTDYNLIBS) $(ROOTCOMPATLINKS)
 
 lint: lintcheck
 
--- old/usr/src/lib/libresolv2/amd64/Makefile	2019-07-05 17:33:33.083035645 +0000
+++ new/usr/src/lib/libresolv2/amd64/Makefile	2019-07-05 17:33:33.099159853 +0000
@@ -22,10 +22,10 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libresolv2/i386/Makefile	2019-07-05 17:33:33.536536021 +0000
+++ new/usr/src/lib/libresolv2/i386/Makefile	2019-07-05 17:33:33.552719611 +0000
@@ -22,9 +22,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libresolv2/sparc/Makefile	2019-07-05 17:33:33.982434640 +0000
+++ new/usr/src/lib/libresolv2/sparc/Makefile	2019-07-05 17:33:34.000117303 +0000
@@ -22,9 +22,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libresolv2/sparcv9/Makefile	2019-07-05 17:33:34.482213216 +0000
+++ new/usr/src/lib/libresolv2/sparcv9/Makefile	2019-07-05 17:33:34.501010062 +0000
@@ -33,4 +33,4 @@
 
 sparcv9_C_PICFLAGS = $(sparcv9_C_BIGPICFLAGS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/librestart/amd64/Makefile	2019-07-05 17:33:34.925283831 +0000
+++ new/usr/src/lib/librestart/amd64/Makefile	2019-07-05 17:33:34.941737071 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/librestart/i386/Makefile	2019-07-05 17:33:35.364152667 +0000
+++ new/usr/src/lib/librestart/i386/Makefile	2019-07-05 17:33:35.379489497 +0000
@@ -23,11 +23,11 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/librestart/sparc/Makefile	2019-07-05 17:33:35.790734931 +0000
+++ new/usr/src/lib/librestart/sparc/Makefile	2019-07-05 17:33:35.806777876 +0000
@@ -23,11 +23,11 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/librestart/sparcv9/Makefile	2019-07-05 17:33:36.268191307 +0000
+++ new/usr/src/lib/librestart/sparcv9/Makefile	2019-07-05 17:33:36.285304439 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -33,4 +33,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/librpcsvc/amd64/Makefile	2019-07-05 17:33:36.739181430 +0000
+++ new/usr/src/lib/librpcsvc/amd64/Makefile	2019-07-05 17:33:36.756413665 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -30,4 +30,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/librpcsvc/i386/Makefile	2019-07-05 17:33:37.214763834 +0000
+++ new/usr/src/lib/librpcsvc/i386/Makefile	2019-07-05 17:33:37.225969078 +0000
@@ -23,11 +23,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/librpcsvc/sparc/Makefile	2019-07-05 17:33:37.624670387 +0000
+++ new/usr/src/lib/librpcsvc/sparc/Makefile	2019-07-05 17:33:37.637607651 +0000
@@ -23,11 +23,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/librpcsvc/sparcv9/Makefile	2019-07-05 17:33:38.062600990 +0000
+++ new/usr/src/lib/librpcsvc/sparcv9/Makefile	2019-07-05 17:33:38.074798537 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -30,4 +30,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/librt/Makefile.com	2019-07-05 17:33:38.470349254 +0000
+++ new/usr/src/lib/librt/Makefile.com	2019-07-05 17:33:38.488548248 +0000
@@ -29,3 +29,28 @@
 
 LIBS +=		$(LINTLIB)
 DYNFLAGS +=	-F libc.so.1
+
+COMPATLINKS +=	/lib/libposix4.so.1 \
+		/lib/libposix4.so \
+		/usr/lib/libposix4.so.1 \
+		/usr/lib/libposix4.so
+
+COMPATLINKS64 +=/lib/$(MACH64)/libposix4.so.1 \
+		/lib/$(MACH64)/libposix4.so \
+		/usr/lib/$(MACH64)/libposix4.so.1 \
+		/usr/lib/$(MACH64)/libposix4.so
+
+$(ROOT)/lib/libposix4.so.1 := COMPATLINKTARGET=librt.so.1
+$(ROOT)/lib/libposix4.so := COMPATLINKTARGET=libposix4.so.1
+$(ROOT)/usr/lib/libposix4.so.1 := COMPATLINKTARGET=../../lib/librt.so.1
+$(ROOT)/usr/lib/libposix4.so := COMPATLINKTARGET=../../lib/librt.so.1
+$(ROOT)/lib/$(MACH64)/libposix4.so.1 := COMPATLINKTARGET=librt.so.1
+$(ROOT)/lib/$(MACH64)/libposix4.so := COMPATLINKTARGET=libposix4.so.1
+$(ROOT)/usr/lib/$(MACH64)/libposix4.so.1:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/librt.so.1
+$(ROOT)/usr/lib/$(MACH64)/libposix4.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/librt.so.1
+$(ROOT)/usr/lib/$(MACH64)/librt.so.1:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/librt.so.1
+$(ROOT)/usr/lib/$(MACH64)/librt.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/librt.so.1
--- old/usr/src/lib/librt/amd64/Makefile	2019-07-05 17:33:38.933851360 +0000
+++ new/usr/src/lib/librt/amd64/Makefile	2019-07-05 17:33:38.950697834 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/librt/i386/Makefile	2019-07-05 17:33:39.419225258 +0000
+++ new/usr/src/lib/librt/i386/Makefile	2019-07-05 17:33:39.436367661 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/librt/sparc/Makefile	2019-07-05 17:33:39.899374404 +0000
+++ new/usr/src/lib/librt/sparc/Makefile	2019-07-05 17:33:39.916338666 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/librt/sparcv9/Makefile	2019-07-05 17:33:40.395563858 +0000
+++ new/usr/src/lib/librt/sparcv9/Makefile	2019-07-05 17:33:40.412843051 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libscf/amd64/Makefile	2019-07-05 17:33:40.874017362 +0000
+++ new/usr/src/lib/libscf/amd64/Makefile	2019-07-05 17:33:40.891265089 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libscf/i386/Makefile	2019-07-05 17:33:41.340071476 +0000
+++ new/usr/src/lib/libscf/i386/Makefile	2019-07-05 17:33:41.353163080 +0000
@@ -23,11 +23,11 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libscf/sparc/Makefile	2019-07-05 17:33:41.799722883 +0000
+++ new/usr/src/lib/libscf/sparc/Makefile	2019-07-05 17:33:41.816138597 +0000
@@ -23,11 +23,11 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libscf/sparcv9/Makefile	2019-07-05 17:33:42.272089063 +0000
+++ new/usr/src/lib/libscf/sparcv9/Makefile	2019-07-05 17:33:42.289739714 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -33,4 +33,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsec/amd64/Makefile	2019-07-05 17:33:42.751097307 +0000
+++ new/usr/src/lib/libsec/amd64/Makefile	2019-07-05 17:33:42.770693714 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -34,4 +34,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsec/i386/Makefile	2019-07-05 17:33:43.263569115 +0000
+++ new/usr/src/lib/libsec/i386/Makefile	2019-07-05 17:33:43.281604691 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsec/sparc/Makefile	2019-07-05 17:33:43.734922786 +0000
+++ new/usr/src/lib/libsec/sparc/Makefile	2019-07-05 17:33:43.752739099 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsec/sparcv9/Makefile	2019-07-05 17:33:44.275212326 +0000
+++ new/usr/src/lib/libsec/sparcv9/Makefile	2019-07-05 17:33:44.294361448 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -34,4 +34,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsecdb/amd64/Makefile	2019-07-05 17:33:44.770562280 +0000
+++ new/usr/src/lib/libsecdb/amd64/Makefile	2019-07-05 17:33:44.788123773 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 
@@ -32,4 +32,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsecdb/i386/Makefile	2019-07-05 17:33:45.259143263 +0000
+++ new/usr/src/lib/libsecdb/i386/Makefile	2019-07-05 17:33:45.275646732 +0000
@@ -23,7 +23,7 @@
 # Copyright (c) 1999, 2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # libsecdb/i386/Makefile
 
@@ -33,4 +33,4 @@
 .KEEP_STATE:
 
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsecdb/sparc/Makefile	2019-07-05 17:33:45.730961529 +0000
+++ new/usr/src/lib/libsecdb/sparc/Makefile	2019-07-05 17:33:45.749059590 +0000
@@ -25,11 +25,11 @@
 #
 # lib/libsecdb/sparc/Makefile
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsecdb/sparcv9/Makefile	2019-07-05 17:33:46.225794324 +0000
+++ new/usr/src/lib/libsecdb/sparcv9/Makefile	2019-07-05 17:33:46.239188088 +0000
@@ -25,7 +25,7 @@
 #
 # lib/libsecdb/sparcv9/Makefile
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 
@@ -34,4 +34,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsendfile/amd64/Makefile	2019-07-05 17:33:46.632563441 +0000
+++ new/usr/src/lib/libsendfile/amd64/Makefile	2019-07-05 17:33:46.648060565 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 MAPFILE32 =
@@ -30,4 +30,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsendfile/i386/Makefile	2019-07-05 17:33:47.121535622 +0000
+++ new/usr/src/lib/libsendfile/i386/Makefile	2019-07-05 17:33:47.140374627 +0000
@@ -24,4 +24,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsendfile/sparc/Makefile	2019-07-05 17:33:47.596153998 +0000
+++ new/usr/src/lib/libsendfile/sparc/Makefile	2019-07-05 17:33:47.612386902 +0000
@@ -24,4 +24,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsendfile/sparcv9/Makefile	2019-07-05 17:33:48.076373064 +0000
+++ new/usr/src/lib/libsendfile/sparcv9/Makefile	2019-07-05 17:33:48.094347421 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 MAPFILE32 =
@@ -30,4 +30,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsocket/amd64/Makefile	2019-07-05 17:33:48.538624456 +0000
+++ new/usr/src/lib/libsocket/amd64/Makefile	2019-07-05 17:33:48.556985113 +0000
@@ -22,7 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -30,4 +30,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsocket/i386/Makefile	2019-07-05 17:33:49.013849313 +0000
+++ new/usr/src/lib/libsocket/i386/Makefile	2019-07-05 17:33:49.032224569 +0000
@@ -22,11 +22,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsocket/sparc/Makefile	2019-07-05 17:33:49.502792076 +0000
+++ new/usr/src/lib/libsocket/sparc/Makefile	2019-07-05 17:33:49.520246399 +0000
@@ -23,11 +23,11 @@
 # Copyright (c) 1997-2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsocket/sparcv9/Makefile	2019-07-05 17:33:49.967751433 +0000
+++ new/usr/src/lib/libsocket/sparcv9/Makefile	2019-07-05 17:33:49.983034602 +0000
@@ -23,7 +23,7 @@
 # Copyright 1997-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsysevent/amd64/Makefile	2019-07-05 17:33:50.443433199 +0000
+++ new/usr/src/lib/libsysevent/amd64/Makefile	2019-07-05 17:33:50.459988582 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -33,4 +33,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libsysevent/i386/Makefile	2019-07-05 17:33:50.904598515 +0000
+++ new/usr/src/lib/libsysevent/i386/Makefile	2019-07-05 17:33:50.921702299 +0000
@@ -23,7 +23,7 @@
 # Copyright 2000,2002-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libsysevent/i386/Makefile
 
@@ -33,4 +33,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsysevent/sparc/Makefile	2019-07-05 17:33:51.382269272 +0000
+++ new/usr/src/lib/libsysevent/sparc/Makefile	2019-07-05 17:33:51.400302539 +0000
@@ -23,7 +23,7 @@
 # Copyright 2000,2002-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libsysevent/sparc/Makefile
 
@@ -33,4 +33,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libsysevent/sparcv9/Makefile	2019-07-05 17:33:51.852514073 +0000
+++ new/usr/src/lib/libsysevent/sparcv9/Makefile	2019-07-05 17:33:51.869956489 +0000
@@ -23,7 +23,7 @@
 # Copyright 2000,2002-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libsysevent/sparcv9/Makefile
 
@@ -34,4 +34,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libtermcap/Makefile.com	2019-07-05 17:33:52.354706414 +0000
+++ new/usr/src/lib/libtermcap/Makefile.com	2019-07-05 17:33:52.372230555 +0000
@@ -13,11 +13,19 @@
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 #
 
-# install this library in the root filesystem
-include ../../Makefile.rootfs
-
 LIBRARY =	libtermcap.a
 VERS =		.1
 LIBS +=		$(LINTLIB)
 
+# install this library in the root filesystem
+include ../../Makefile.rootfs
+
+COMPATLINKS +=	/usr/ccs/lib/libtermcap.so
+COMPATLINKS64 += /usr/ccs/lib/$(MACH64)/libtermcap.so
+
+$(ROOT)/usr/ccs/lib/libtermcap.so := \
+	COMPATLINKTARGET=../../../lib/libtermcap.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libtermcap.so := \
+	COMPATLINKTARGET=../../../../lib/$(MACH64)/libtermcap.so.1
+
 DYNFLAGS +=	$(ZLOADFLTR)
--- old/usr/src/lib/libtermcap/amd64/Makefile	2019-07-05 17:33:52.838776465 +0000
+++ new/usr/src/lib/libtermcap/amd64/Makefile	2019-07-05 17:33:52.857419911 +0000
@@ -14,9 +14,9 @@
 #
 
 include		$(SRC)/lib/Makefile.filter.com
-include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
+include		../Makefile.com
 
-install:	$(ROOTLIBS64) $(ROOTLINKS64)
+install:	$(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libtermcap/i386/Makefile	2019-07-05 17:33:53.347123876 +0000
+++ new/usr/src/lib/libtermcap/i386/Makefile	2019-07-05 17:33:53.364973288 +0000
@@ -16,6 +16,6 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	$(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	$(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libtermcap/sparc/Makefile	2019-07-05 17:33:53.832565342 +0000
+++ new/usr/src/lib/libtermcap/sparc/Makefile	2019-07-05 17:33:53.849843813 +0000
@@ -16,6 +16,6 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	$(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	$(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
